#include <bits/stdc++.h>
using namespace std;
int n,a[100005],q,t,k,x,jedinice;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin >> n;
    for(int i=1; i<=n; i++){
        cin >> a[i];
        if(a[i]==1)
            jedinice++;
    }
    cin >> q;
    for(int i=1; i<=q; i++){
        cin >> t;
        if(t==0){
            cin >> k;
            if(k<=jedinice)
                cout << "1\n";
            else
                cout << "0\n";
        }
        else{
            cin >> k >> x;
            if(x==1){
                if(a[k]==0)
                    jedinice++;
            }
            else{
                if(a[k]==1)
                    jedinice--;
            }
            //ispisiBitove();
        }
    }
    return 0;
}
//ukupan broj bitova